Bug 135386 - Show track on the google map.
Summary: Show track on the google map.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Geolocation-GoogleMaps (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 10 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-10 10:41 UTC by Julien Narboux
Modified: 2018-03-23 11:44 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.2.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Narboux 2006-10-10 10:41:44 UTC
Version:            (using KDE KDE 3.5.1)

It would be great if when a GPS track is loaded, you can display it on google maps using a semi  transparent line above the map. Google maps API provides a way to do
 this, you just need to give an array of coordinates.

 Here is an example :
 http://www.lix.polytechnique.fr/~jnarboux/phd/lri.html

 The same could be done also for pictures (after sorting the currently
 selected picture according to exif time link them by a blue line on the map)
Comment 1 Stéphane Pontier 2007-03-29 16:30:12 UTC
Since few days, kml has been added to the google maps api and can display tracks, I added a kml export functionality to gpssync plugin and it can display a track taken from a GPX file (the best is to take the one you used to corelate the picture) when exported.
Note that it doesn't link pictures between them, only translate a gpx file, so, once you've corelate your picture, dont trash the GPX file.

you can check the bug #139793 or see the result at
http://stpo.homelinux.org/data/kmltest/kmldocument.kml (in google earth)
http://stpo.homelinux.org/data/kmltest2/kmldocument.kml (in googlemaps)
Comment 2 caulier.gilles 2008-02-09 10:45:40 UTC
SVN commit 772640 by cgilles:

kipi-plugins from trunk (KDE4) : digiKam has a new tool to edit a GPS track list using googlemaps ! 
More than one point can be edited over the ma at the same time...
A fresh screenshot of the tool in action is available here : http://digikam3rdparty.free.fr/Screenshots/gpstracklisteditor.png

BUG: 135451
BUG: 135386

CCMAIL: digikam-devel@kde.org
CCMAIL: kde-imaging@kde.org



 M  +7 -2      gpstracklistcontainer.h  
 M  +19 -7     gpstracklisteditdialog.cpp  
 M  +2 -0      gpstracklisteditdialog.h  
 M  +2 -10     gpstracklistviewitem.cpp  
 M  +1 -1      gpstracklistwidget.cpp  
 M  +51 -2     plugin_gpssync.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=772640
Comment 3 Kevin Kofler 2008-02-17 03:09:51 UTC
Why aren't you using Marble for this?